#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
%define		enable_autotools 1
%global		package_version 3.4.1
%global		package_name ovirt-log-collector

Summary:	Log Collector for Red Hat Enterprise Virtualization
Name:		rhevm-log-collector
Version:	3.4.1
Release:	1%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/virtualization/rhev/server/
Source:		http://resources.ovirt.org/releases/stable/src/%{package_name}-%{package_version}.tar.gz
Group:		Virtualization/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	python
Requires:	python-dateutil
Requires:	python-lxml
Requires:	rhevm-sdk-python >= 3.4.0.7
Requires:	rhevm-lib
Requires:	logrotate
Requires:	sos
Requires:	openssh-clients

BuildRequires:	python2-devel
BuildRequires:	gettext
BuildRequires:	sos
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel

Patch1: 0001-config-Fix-typo-in-logcollector.conf.patch
Patch2: 0002-sos-add-sos-3.1-support.patch
Patch3: 0003-packaging-spec-fix-distro-macros.patch
Patch4: 0004-sos-re-enable-all_logs-collection-on-sos-3.0.patch
Patch5: 0005-Avoid-hitting-performance-issues-with-api-listing.patch

%description
Log Collector tool for Red Hat Enterprise Virtualization

%prep
%setup -q -n %{package_name}-%{package_version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build

%if 0%{?enable_autotools}
autoreconf -ivf
%endif

%configure \
	--docdir="%{_docdir}/%{package_name}-%{version}" \
	--disable-python-syntax-check
make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
ln -s engine-log-collector %{buildroot}/%{_bindir}/rhevm-log-collector
echo ".so man8/engine-log-collector.8" > %{buildroot}/%{_mandir}/man8/rhevm-log-collector.8


%files
%doc AUTHORS
%doc COPYING
%dir %{_localstatedir}/log/ovirt-engine/%{package_name}
%dir %{_sysconfdir}/ovirt-engine/logcollector.conf.d
%config(noreplace) %{_sysconfdir}/ovirt-engine/logcollector.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{package_name}
%{python_sitelib}/ovirt_log_collector/*.py*
%{python_sitelib}/ovirt_log_collector/helper/*.py*
%{python_sitelib}/sos/plugins/*.py*
%{_bindir}/engine-log-collector
%{_mandir}/man8/*
%{_bindir}/rhevm-log-collector

%changelog
* Fri Jun 20 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.4.1-1
- Rebase on upstream 3.4.1
- Resolves: BZ#1099916
- Resolves: BZ#1101421

* Fri Apr 18 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.4.0-4
- Require newer version of sdk for BZ#1085837

* Tue Mar 25 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.4.0-3
- Resolves: BZ#1080330

* Tue Mar 11 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.4.0-2
- Resolves: BZ#1073590

* Thu Feb 27 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.4.0-1
- Rebase on upstream 3.4.0-1
- Resolves oVirt: BZ#1059654
- Resolves oVirt: BZ#1055517

* Fri Feb  7 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.4.0-0.0.ovirtbeta2
- Rebase on upstream 3.4.0_beta2
- Resolves: BZ#1035825
- Resolves: BZ#1035826
- Resolves: BZ#1041749
- Resolves: BZ#1046309

